set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "SSYMVL on a <GeForce GTX1080>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_1080_SSYMVL.eps"
plot   "log-ASPEN.K2-1.6p2-SSYMVL-GTX1080-384.98" u 2:($5<2*243.341?$5:-1000) t "log-ASPEN.K2-1.6p2-SSYMVL-GTX1080-384.98" , "log-CUDA-9.0-SSYMVL-GTX1080-384.98" u 2:($5<2*243.341?$5:-1000) t "log-CUDA-9.0-SSYMVL-GTX1080-384.98" , "log-CUDA-9.0-SSYMVLnoAtomic-GTX1080-384.98" u 2:($5<2*243.341?$5:-1000) t "log-CUDA-9.0-SSYMVLnoAtomic-GTX1080-384.98" 
clear
set term png
set output "plot_data_1080_SSYMVL.png"
plot   "log-ASPEN.K2-1.6p2-SSYMVL-GTX1080-384.98" u 2:($5<2*243.341?$5:-1000) t "log-ASPEN.K2-1.6p2-SSYMVL-GTX1080-384.98" , "log-CUDA-9.0-SSYMVL-GTX1080-384.98" u 2:($5<2*243.341?$5:-1000) t "log-CUDA-9.0-SSYMVL-GTX1080-384.98" , "log-CUDA-9.0-SSYMVLnoAtomic-GTX1080-384.98" u 2:($5<2*243.341?$5:-1000) t "log-CUDA-9.0-SSYMVLnoAtomic-GTX1080-384.98" 
clear
exit
