set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "ZHEMVL on a <Tesla P100>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_P100SXM216GB_ZHEMVL.eps"
plot   "log-ASPEN.K2-1.6p2-ZHEMVL-P100SXM216GB-384.81" u 2:($5<2*577.46?$5:-1000) t "log-ASPEN.K2-1.6p2-ZHEMVL-P100SXM216GB-384.81" , "log-CUDA-9.0-ZHEMVL-P100SXM216GB-384.81" u 2:($5<2*577.46?$5:-1000) t "log-CUDA-9.0-ZHEMVL-P100SXM216GB-384.81" , "log-CUDA-9.0-ZHEMVLnoAtomic-P100SXM216GB-384.81" u 2:($5<2*577.46?$5:-1000) t "log-CUDA-9.0-ZHEMVLnoAtomic-P100SXM216GB-384.81" 
clear
set term png
set output "plot_data_P100SXM216GB_ZHEMVL.png"
plot   "log-ASPEN.K2-1.6p2-ZHEMVL-P100SXM216GB-384.81" u 2:($5<2*577.46?$5:-1000) t "log-ASPEN.K2-1.6p2-ZHEMVL-P100SXM216GB-384.81" , "log-CUDA-9.0-ZHEMVL-P100SXM216GB-384.81" u 2:($5<2*577.46?$5:-1000) t "log-CUDA-9.0-ZHEMVL-P100SXM216GB-384.81" , "log-CUDA-9.0-ZHEMVLnoAtomic-P100SXM216GB-384.81" u 2:($5<2*577.46?$5:-1000) t "log-CUDA-9.0-ZHEMVLnoAtomic-P100SXM216GB-384.81" 
clear
exit
