set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "ZHEMVU on a <GeForce GTX750Ti>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_750_ZHEMVU.eps"
plot   "log-ASPEN.K2-1.6p2-ZHEMVU-GTX750Ti-384.98" u 2:($5<2*42.0594?$5:-1000) t "log-ASPEN.K2-1.6p2-ZHEMVU-GTX750Ti-384.98" , "log-CUDA-9.0-ZHEMVU-GTX750Ti-384.98" u 2:($5<2*42.0594?$5:-1000) t "log-CUDA-9.0-ZHEMVU-GTX750Ti-384.98" , "log-CUDA-9.0-ZHEMVUnoAtomic-GTX750Ti-384.98" u 2:($5<2*42.0594?$5:-1000) t "log-CUDA-9.0-ZHEMVUnoAtomic-GTX750Ti-384.98" 
clear
set term png
set output "plot_data_750_ZHEMVU.png"
plot   "log-ASPEN.K2-1.6p2-ZHEMVU-GTX750Ti-384.98" u 2:($5<2*42.0594?$5:-1000) t "log-ASPEN.K2-1.6p2-ZHEMVU-GTX750Ti-384.98" , "log-CUDA-9.0-ZHEMVU-GTX750Ti-384.98" u 2:($5<2*42.0594?$5:-1000) t "log-CUDA-9.0-ZHEMVU-GTX750Ti-384.98" , "log-CUDA-9.0-ZHEMVUnoAtomic-GTX750Ti-384.98" u 2:($5<2*42.0594?$5:-1000) t "log-CUDA-9.0-ZHEMVUnoAtomic-GTX750Ti-384.98" 
clear
exit
