#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sat Dec 16 17:05:08 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8507883776
// for double or cuFloatComplex
MAXDIM= 30980
// for float
MAXDIM2= 43813
// for cuDoubleComplex or DD
MAXDIM3= 21906
// for DD-Complex
MAXDIM4= 15490
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_13	1

if ( n >= 1 && n < 90 ) {
	BLK = 13;
} else
if ( n >= 90 && n < 1021 ) {
	BLK = 11;
} else
if ( n >= 1021 && n < 1244 ) {
	BLK = 12;
} else
if ( n >= 1244 && n < 2699 ) {
	BLK = 11;
} else
if ( n >= 2699 && n < 2915 ) {
	BLK = 5;
} else
if ( n >= 2915 && n < 3218 ) {
	BLK = 7;
} else
if ( n >= 3218 && n < 3254 ) {
	BLK = 11;
} else
if ( n >= 3254 && n < 3603 ) {
	BLK = 5;
} else
if ( n >= 3603 && n < 3821 ) {
	BLK = 11;
} else
if ( n >= 3821 && n < 3974 ) {
	BLK = 5;
} else
if ( n >= 3974 && n < 4265 ) {
	BLK = 11;
} else
if ( n >= 4265 && n < 4276 ) {
	BLK = 7;
} else
if ( n >= 4276 && n < 4514 ) {
	BLK = 5;
} else
if ( n >= 4514 && n < 4639 ) {
	BLK = 11;
} else
if ( n >= 4639 && n < 5074 ) {
	BLK = 5;
} else
if ( n >= 5074 && n < 5213 ) {
	BLK = 7;
} else
if ( n >= 5213 && n < 5586 ) {
	BLK = 5;
} else
if ( n >= 5586 && n < 5840 ) {
	BLK = 7;
} else
if ( n >= 5840 && n < 6841 ) {
	BLK = 5;
} else
if ( n >= 6841 && n < 7212 ) {
	BLK = 7;
} else
if ( n >= 7212 && n < 7272 ) {
	BLK = 5;
} else
if ( n >= 7272 && n < 7764 ) {
	BLK = 7;
} else
if ( n >= 7764 && n < 8002 ) {
	BLK = 5;
} else
if ( n >= 8002 && n < 1000000 ) {
	BLK = 7;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 7;
}
