#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-U
Fri Dec 15 00:08:59 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8507883776
// for double or cuFloatComplex
MAXDIM= 30980
// for float
MAXDIM2= 43813
// for cuDoubleComplex or DD
MAXDIM3= 21906
// for DD-Complex
MAXDIM4= 15490
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 95 ) {
	BLK = 11;
} else
if ( n >= 95 && n < 105 ) {
	BLK = 16;
} else
if ( n >= 105 && n < 107 ) {
	BLK = 4;
} else
if ( n >= 107 && n < 148 ) {
	BLK = 10;
} else
if ( n >= 148 && n < 157 ) {
	BLK = 4;
} else
if ( n >= 157 && n < 182 ) {
	BLK = 7;
} else
if ( n >= 182 && n < 207 ) {
	BLK = 16;
} else
if ( n >= 207 && n < 255 ) {
	BLK = 12;
} else
if ( n >= 255 && n < 389 ) {
	BLK = 3;
} else
if ( n >= 389 && n < 424 ) {
	BLK = 16;
} else
if ( n >= 424 && n < 455 ) {
	BLK = 4;
} else
if ( n >= 455 && n < 571 ) {
	BLK = 7;
} else
if ( n >= 571 && n < 584 ) {
	BLK = 3;
} else
if ( n >= 584 && n < 651 ) {
	BLK = 12;
} else
if ( n >= 651 && n < 726 ) {
	BLK = 3;
} else
if ( n >= 726 && n < 792 ) {
	BLK = 7;
} else
if ( n >= 792 && n < 838 ) {
	BLK = 3;
} else
if ( n >= 838 && n < 1458 ) {
	BLK = 7;
} else
if ( n >= 1458 && n < 1607 ) {
	BLK = 12;
} else
if ( n >= 1607 && n < 1854 ) {
	BLK = 3;
} else
if ( n >= 1854 && n < 1957 ) {
	BLK = 7;
} else
if ( n >= 1957 && n < 2182 ) {
	BLK = 4;
} else
if ( n >= 2182 && n < 2353 ) {
	BLK = 7;
} else
if ( n >= 2353 && n < 2642 ) {
	BLK = 3;
} else
if ( n >= 2642 && n < 2738 ) {
	BLK = 4;
} else
if ( n >= 2738 && n < 2951 ) {
	BLK = 3;
} else
if ( n >= 2951 && n < 3332 ) {
	BLK = 4;
} else
if ( n >= 3332 && n < 3443 ) {
	BLK = 3;
} else
if ( n >= 3443 && n < 3572 ) {
	BLK = 7;
} else
if ( n >= 3572 && n < 3728 ) {
	BLK = 4;
} else
if ( n >= 3728 && n < 3932 ) {
	BLK = 7;
} else
if ( n >= 3932 && n < 7609 ) {
	BLK = 4;
} else
if ( n >= 7609 && n < 7741 ) {
	BLK = 5;
} else
if ( n >= 7741 && n < 9898 ) {
	BLK = 4;
} else
if ( n >= 9898 && n < 10046 ) {
	BLK = 7;
} else
if ( n >= 10046 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
