#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Sat Dec 16 23:03:35 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8507883776
// for double or cuFloatComplex
MAXDIM= 30980
// for float
MAXDIM2= 43813
// for cuDoubleComplex or DD
MAXDIM3= 21906
// for DD-Complex
MAXDIM4= 15490
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_14	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 64 ) {
	BLK = 16;
} else
if ( n >= 64 && n < 96 ) {
	BLK = 11;
} else
if ( n >= 96 && n < 111 ) {
	BLK = 7;
} else
if ( n >= 111 && n < 259 ) {
	BLK = 8;
} else
if ( n >= 259 && n < 310 ) {
	BLK = 11;
} else
if ( n >= 310 && n < 384 ) {
	BLK = 8;
} else
if ( n >= 384 && n < 432 ) {
	BLK = 7;
} else
if ( n >= 432 && n < 489 ) {
	BLK = 8;
} else
if ( n >= 489 && n < 573 ) {
	BLK = 11;
} else
if ( n >= 573 && n < 584 ) {
	BLK = 4;
} else
if ( n >= 584 && n < 857 ) {
	BLK = 8;
} else
if ( n >= 857 && n < 921 ) {
	BLK = 12;
} else
if ( n >= 921 && n < 925 ) {
	BLK = 14;
} else
if ( n >= 925 && n < 971 ) {
	BLK = 7;
} else
if ( n >= 971 && n < 992 ) {
	BLK = 14;
} else
if ( n >= 992 && n < 1019 ) {
	BLK = 2;
} else
if ( n >= 1019 && n < 1313 ) {
	BLK = 11;
} else
if ( n >= 1313 && n < 1327 ) {
	BLK = 8;
} else
if ( n >= 1327 && n < 1993 ) {
	BLK = 7;
} else
if ( n >= 1993 && n < 2643 ) {
	BLK = 8;
} else
if ( n >= 2643 && n < 2777 ) {
	BLK = 2;
} else
if ( n >= 2777 && n < 2886 ) {
	BLK = 5;
} else
if ( n >= 2886 && n < 3072 ) {
	BLK = 14;
} else
if ( n >= 3072 && n < 3099 ) {
	BLK = 2;
} else
if ( n >= 3099 && n < 3195 ) {
	BLK = 5;
} else
if ( n >= 3195 && n < 3238 ) {
	BLK = 8;
} else
if ( n >= 3238 && n < 3379 ) {
	BLK = 14;
} else
if ( n >= 3379 && n < 3571 ) {
	BLK = 8;
} else
if ( n >= 3571 && n < 3638 ) {
	BLK = 5;
} else
if ( n >= 3638 && n < 3817 ) {
	BLK = 14;
} else
if ( n >= 3817 && n < 3955 ) {
	BLK = 2;
} else
if ( n >= 3955 && n < 4332 ) {
	BLK = 14;
} else
if ( n >= 4332 && n < 4451 ) {
	BLK = 2;
} else
if ( n >= 4451 && n < 4588 ) {
	BLK = 14;
} else
if ( n >= 4588 && n < 5004 ) {
	BLK = 8;
} else
if ( n >= 5004 && n < 1000000 ) {
	BLK = 14;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 14;
}
