#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Wed Dec 20 20:00:21 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-750-Ti
****************************************/-->
// device name
DEVICE= GeForce-GTX-750-Ti
// the number of multi-processors
MP= 5
// compute-compatibility generation
CG= 500
// capacity of the global memory
MAXmem= 2094400256
// for double or cuFloatComplex
MAXDIM= 15371
// for float
MAXDIM2= 21738
// for cuDoubleComplex or DD
MAXDIM3= 10869
// for DD-Complex
MAXDIM4= 7685
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 500
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 29 ) {
	BLK = 14;
} else
if ( n >= 29 && n < 143 ) {
	BLK = 1;
} else
if ( n >= 143 && n < 243 ) {
	BLK = 4;
} else
if ( n >= 243 && n < 280 ) {
	BLK = 13;
} else
if ( n >= 280 && n < 360 ) {
	BLK = 4;
} else
if ( n >= 360 && n < 413 ) {
	BLK = 13;
} else
if ( n >= 413 && n < 478 ) {
	BLK = 4;
} else
if ( n >= 478 && n < 540 ) {
	BLK = 14;
} else
if ( n >= 540 && n < 735 ) {
	BLK = 4;
} else
if ( n >= 735 && n < 782 ) {
	BLK = 1;
} else
if ( n >= 782 && n < 888 ) {
	BLK = 4;
} else
if ( n >= 888 && n < 1053 ) {
	BLK = 1;
} else
if ( n >= 1053 && n < 1335 ) {
	BLK = 5;
} else
if ( n >= 1335 && n < 1452 ) {
	BLK = 3;
} else
if ( n >= 1452 && n < 2018 ) {
	BLK = 5;
} else
if ( n >= 2018 && n < 2129 ) {
	BLK = 3;
} else
if ( n >= 2129 && n < 2192 ) {
	BLK = 2;
} else
if ( n >= 2192 && n < 2302 ) {
	BLK = 1;
} else
if ( n >= 2302 && n < 2625 ) {
	BLK = 3;
} else
if ( n >= 2625 && n < 2661 ) {
	BLK = 1;
} else
if ( n >= 2661 && n < 3323 ) {
	BLK = 3;
} else
if ( n >= 3323 && n < 3556 ) {
	BLK = 1;
} else
if ( n >= 3556 && n < 3838 ) {
	BLK = 3;
} else
if ( n >= 3838 && n < 4366 ) {
	BLK = 1;
} else
if ( n >= 4366 && n < 4651 ) {
	BLK = 3;
} else
if ( n >= 4651 && n < 4884 ) {
	BLK = 1;
} else
if ( n >= 4884 && n < 4981 ) {
	BLK = 3;
} else
if ( n >= 4981 && n < 5364 ) {
	BLK = 1;
} else
if ( n >= 5364 && n < 5682 ) {
	BLK = 3;
} else
if ( n >= 5682 && n < 6325 ) {
	BLK = 1;
} else
if ( n >= 6325 && n < 6418 ) {
	BLK = 3;
} else
if ( n >= 6418 && n < 7997 ) {
	BLK = 1;
} else
if ( n >= 7997 && n < 8302 ) {
	BLK = 3;
} else
if ( n >= 8302 && n < 12959 ) {
	BLK = 1;
} else
if ( n >= 12959 && n < 13591 ) {
	BLK = 3;
} else
if ( n >= 13591 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
