#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Mon Dec 25 14:32:17 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4234096128
// for double or cuFloatComplex
MAXDIM= 21855
// for float
MAXDIM2= 30908
// for cuDoubleComplex or DD
MAXDIM3= 15454
// for DD-Complex
MAXDIM4= 10927
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 85 ) {
	BLK = 6;
} else
if ( n >= 85 && n < 142 ) {
	BLK = 3;
} else
if ( n >= 142 && n < 175 ) {
	BLK = 2;
} else
if ( n >= 175 && n < 218 ) {
	BLK = 7;
} else
if ( n >= 218 && n < 225 ) {
	BLK = 1;
} else
if ( n >= 225 && n < 332 ) {
	BLK = 2;
} else
if ( n >= 332 && n < 407 ) {
	BLK = 6;
} else
if ( n >= 407 && n < 606 ) {
	BLK = 2;
} else
if ( n >= 606 && n < 687 ) {
	BLK = 6;
} else
if ( n >= 687 && n < 806 ) {
	BLK = 2;
} else
if ( n >= 806 && n < 874 ) {
	BLK = 9;
} else
if ( n >= 874 && n < 905 ) {
	BLK = 6;
} else
if ( n >= 905 && n < 1277 ) {
	BLK = 2;
} else
if ( n >= 1277 && n < 1451 ) {
	BLK = 9;
} else
if ( n >= 1451 && n < 1537 ) {
	BLK = 6;
} else
if ( n >= 1537 && n < 1551 ) {
	BLK = 4;
} else
if ( n >= 1551 && n < 1694 ) {
	BLK = 9;
} else
if ( n >= 1694 && n < 1705 ) {
	BLK = 10;
} else
if ( n >= 1705 && n < 2483 ) {
	BLK = 7;
} else
if ( n >= 2483 && n < 2613 ) {
	BLK = 10;
} else
if ( n >= 2613 && n < 2686 ) {
	BLK = 9;
} else
if ( n >= 2686 && n < 2815 ) {
	BLK = 4;
} else
if ( n >= 2815 && n < 3448 ) {
	BLK = 9;
} else
if ( n >= 3448 && n < 3713 ) {
	BLK = 4;
} else
if ( n >= 3713 && n < 3737 ) {
	BLK = 9;
} else
if ( n >= 3737 && n < 3885 ) {
	BLK = 10;
} else
if ( n >= 3885 && n < 4310 ) {
	BLK = 9;
} else
if ( n >= 4310 && n < 4783 ) {
	BLK = 4;
} else
if ( n >= 4783 && n < 5159 ) {
	BLK = 9;
} else
if ( n >= 5159 && n < 6044 ) {
	BLK = 4;
} else
if ( n >= 6044 && n < 6202 ) {
	BLK = 9;
} else
if ( n >= 6202 && n < 6445 ) {
	BLK = 4;
} else
if ( n >= 6445 && n < 6464 ) {
	BLK = 9;
} else
if ( n >= 6464 && n < 6625 ) {
	BLK = 10;
} else
if ( n >= 6625 && n < 6794 ) {
	BLK = 1;
} else
if ( n >= 6794 && n < 7149 ) {
	BLK = 9;
} else
if ( n >= 7149 && n < 7168 ) {
	BLK = 1;
} else
if ( n >= 7168 && n < 7571 ) {
	BLK = 4;
} else
if ( n >= 7571 && n < 7909 ) {
	BLK = 9;
} else
if ( n >= 7909 && n < 8816 ) {
	BLK = 4;
} else
if ( n >= 8816 && n < 9042 ) {
	BLK = 9;
} else
if ( n >= 9042 && n < 9648 ) {
	BLK = 4;
} else
if ( n >= 9648 && n < 9812 ) {
	BLK = 1;
} else
if ( n >= 9812 && n < 9930 ) {
	BLK = 9;
} else
if ( n >= 9930 && n < 10708 ) {
	BLK = 4;
} else
if ( n >= 10708 && n < 11066 ) {
	BLK = 9;
} else
if ( n >= 11066 && n < 12800 ) {
	BLK = 4;
} else
if ( n >= 12800 && n < 13087 ) {
	BLK = 8;
} else
if ( n >= 13087 && n < 13264 ) {
	BLK = 9;
} else
if ( n >= 13264 && n < 13807 ) {
	BLK = 4;
} else
if ( n >= 13807 && n < 14172 ) {
	BLK = 9;
} else
if ( n >= 14172 && n < 15680 ) {
	BLK = 4;
} else
if ( n >= 15680 && n < 15957 ) {
	BLK = 9;
} else
if ( n >= 15957 && n < 23364 ) {
	BLK = 4;
} else
if ( n >= 23364 && n < 25710 ) {
	BLK = 9;
} else
if ( n >= 25710 && n < 27891 ) {
	BLK = 4;
} else
if ( n >= 27891 && n < 30493 ) {
	BLK = 8;
} else
if ( n >= 30493 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
