#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sun Dec 24 14:56:53 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4234096128
// for double or cuFloatComplex
MAXDIM= 21855
// for float
MAXDIM2= 30908
// for cuDoubleComplex or DD
MAXDIM3= 15454
// for DD-Complex
MAXDIM4= 10927
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_14	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 65 ) {
	BLK = 5;
} else
if ( n >= 65 && n < 98 ) {
	BLK = 15;
} else
if ( n >= 98 && n < 152 ) {
	BLK = 16;
} else
if ( n >= 152 && n < 247 ) {
	BLK = 6;
} else
if ( n >= 247 && n < 273 ) {
	BLK = 14;
} else
if ( n >= 273 && n < 344 ) {
	BLK = 9;
} else
if ( n >= 344 && n < 759 ) {
	BLK = 14;
} else
if ( n >= 759 && n < 832 ) {
	BLK = 9;
} else
if ( n >= 832 && n < 847 ) {
	BLK = 14;
} else
if ( n >= 847 && n < 910 ) {
	BLK = 2;
} else
if ( n >= 910 && n < 911 ) {
	BLK = 6;
} else
if ( n >= 911 && n < 1124 ) {
	BLK = 14;
} else
if ( n >= 1124 && n < 1172 ) {
	BLK = 2;
} else
if ( n >= 1172 && n < 1356 ) {
	BLK = 6;
} else
if ( n >= 1356 && n < 1360 ) {
	BLK = 11;
} else
if ( n >= 1360 && n < 1415 ) {
	BLK = 16;
} else
if ( n >= 1415 && n < 1692 ) {
	BLK = 9;
} else
if ( n >= 1692 && n < 2019 ) {
	BLK = 16;
} else
if ( n >= 2019 && n < 2151 ) {
	BLK = 2;
} else
if ( n >= 2151 && n < 2278 ) {
	BLK = 6;
} else
if ( n >= 2278 && n < 2418 ) {
	BLK = 16;
} else
if ( n >= 2418 && n < 2591 ) {
	BLK = 2;
} else
if ( n >= 2591 && n < 3067 ) {
	BLK = 16;
} else
if ( n >= 3067 && n < 3119 ) {
	BLK = 2;
} else
if ( n >= 3119 && n < 3436 ) {
	BLK = 16;
} else
if ( n >= 3436 && n < 3528 ) {
	BLK = 2;
} else
if ( n >= 3528 && n < 3753 ) {
	BLK = 16;
} else
if ( n >= 3753 && n < 3914 ) {
	BLK = 2;
} else
if ( n >= 3914 && n < 3990 ) {
	BLK = 16;
} else
if ( n >= 3990 && n < 4106 ) {
	BLK = 2;
} else
if ( n >= 4106 && n < 4158 ) {
	BLK = 9;
} else
if ( n >= 4158 && n < 4247 ) {
	BLK = 2;
} else
if ( n >= 4247 && n < 4319 ) {
	BLK = 16;
} else
if ( n >= 4319 && n < 4438 ) {
	BLK = 4;
} else
if ( n >= 4438 && n < 6789 ) {
	BLK = 16;
} else
if ( n >= 6789 && n < 6914 ) {
	BLK = 2;
} else
if ( n >= 6914 && n < 7260 ) {
	BLK = 16;
} else
if ( n >= 7260 && n < 7432 ) {
	BLK = 2;
} else
if ( n >= 7432 && n < 9216 ) {
	BLK = 16;
} else
if ( n >= 9216 && n < 9342 ) {
	BLK = 2;
} else
if ( n >= 9342 && n < 10247 ) {
	BLK = 16;
} else
if ( n >= 10247 && n < 10377 ) {
	BLK = 4;
} else
if ( n >= 10377 && n < 10770 ) {
	BLK = 16;
} else
if ( n >= 10770 && n < 10961 ) {
	BLK = 4;
} else
if ( n >= 10961 && n < 1000000 ) {
	BLK = 16;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 16;
}
