#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Sun Dec 24 02:23:24 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4234096128
// for double or cuFloatComplex
MAXDIM= 21855
// for float
MAXDIM2= 30908
// for cuDoubleComplex or DD
MAXDIM3= 15454
// for DD-Complex
MAXDIM4= 10927
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_16	1

if ( n >= 1 && n < 76 ) {
	BLK = 11;
} else
if ( n >= 76 && n < 304 ) {
	BLK = 12;
} else
if ( n >= 304 && n < 357 ) {
	BLK = 14;
} else
if ( n >= 357 && n < 764 ) {
	BLK = 12;
} else
if ( n >= 764 && n < 875 ) {
	BLK = 8;
} else
if ( n >= 875 && n < 881 ) {
	BLK = 16;
} else
if ( n >= 881 && n < 930 ) {
	BLK = 12;
} else
if ( n >= 930 && n < 993 ) {
	BLK = 8;
} else
if ( n >= 993 && n < 1091 ) {
	BLK = 12;
} else
if ( n >= 1091 && n < 1203 ) {
	BLK = 16;
} else
if ( n >= 1203 && n < 1325 ) {
	BLK = 12;
} else
if ( n >= 1325 && n < 1494 ) {
	BLK = 16;
} else
if ( n >= 1494 && n < 1546 ) {
	BLK = 8;
} else
if ( n >= 1546 && n < 1598 ) {
	BLK = 16;
} else
if ( n >= 1598 && n < 1798 ) {
	BLK = 12;
} else
if ( n >= 1798 && n < 2215 ) {
	BLK = 16;
} else
if ( n >= 2215 && n < 2295 ) {
	BLK = 12;
} else
if ( n >= 2295 && n < 2453 ) {
	BLK = 16;
} else
if ( n >= 2453 && n < 3951 ) {
	BLK = 8;
} else
if ( n >= 3951 && n < 4162 ) {
	BLK = 12;
} else
if ( n >= 4162 && n < 4179 ) {
	BLK = 16;
} else
if ( n >= 4179 && n < 4385 ) {
	BLK = 1;
} else
if ( n >= 4385 && n < 4832 ) {
	BLK = 8;
} else
if ( n >= 4832 && n < 5571 ) {
	BLK = 1;
} else
if ( n >= 5571 && n < 5748 ) {
	BLK = 8;
} else
if ( n >= 5748 && n < 6686 ) {
	BLK = 1;
} else
if ( n >= 6686 && n < 6869 ) {
	BLK = 9;
} else
if ( n >= 6869 && n < 7390 ) {
	BLK = 1;
} else
if ( n >= 7390 && n < 7521 ) {
	BLK = 9;
} else
if ( n >= 7521 && n < 7888 ) {
	BLK = 16;
} else
if ( n >= 7888 && n < 9440 ) {
	BLK = 1;
} else
if ( n >= 9440 && n < 11081 ) {
	BLK = 9;
} else
if ( n >= 11081 && n < 11389 ) {
	BLK = 16;
} else
if ( n >= 11389 && n < 12023 ) {
	BLK = 9;
} else
if ( n >= 12023 && n < 12523 ) {
	BLK = 1;
} else
if ( n >= 12523 && n < 13249 ) {
	BLK = 9;
} else
if ( n >= 13249 && n < 13608 ) {
	BLK = 1;
} else
if ( n >= 13608 && n < 29711 ) {
	BLK = 9;
} else
if ( n >= 29711 && n < 30529 ) {
	BLK = 1;
} else
if ( n >= 30529 && n < 30852 ) {
	BLK = 9;
} else
if ( n >= 30852 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
