#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Sat Dec 23 09:33:30 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4234096128
// for double or cuFloatComplex
MAXDIM= 21855
// for float
MAXDIM2= 30908
// for cuDoubleComplex or DD
MAXDIM3= 15454
// for DD-Complex
MAXDIM4= 10927
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 91 ) {
	BLK = 6;
} else
if ( n >= 91 && n < 152 ) {
	BLK = 15;
} else
if ( n >= 152 && n < 220 ) {
	BLK = 1;
} else
if ( n >= 220 && n < 221 ) {
	BLK = 2;
} else
if ( n >= 221 && n < 279 ) {
	BLK = 16;
} else
if ( n >= 279 && n < 310 ) {
	BLK = 1;
} else
if ( n >= 310 && n < 353 ) {
	BLK = 2;
} else
if ( n >= 353 && n < 374 ) {
	BLK = 16;
} else
if ( n >= 374 && n < 380 ) {
	BLK = 6;
} else
if ( n >= 380 && n < 428 ) {
	BLK = 5;
} else
if ( n >= 428 && n < 450 ) {
	BLK = 16;
} else
if ( n >= 450 && n < 510 ) {
	BLK = 2;
} else
if ( n >= 510 && n < 522 ) {
	BLK = 1;
} else
if ( n >= 522 && n < 573 ) {
	BLK = 16;
} else
if ( n >= 573 && n < 660 ) {
	BLK = 2;
} else
if ( n >= 660 && n < 705 ) {
	BLK = 1;
} else
if ( n >= 705 && n < 899 ) {
	BLK = 2;
} else
if ( n >= 899 && n < 911 ) {
	BLK = 16;
} else
if ( n >= 911 && n < 946 ) {
	BLK = 6;
} else
if ( n >= 946 && n < 1063 ) {
	BLK = 2;
} else
if ( n >= 1063 && n < 1169 ) {
	BLK = 16;
} else
if ( n >= 1169 && n < 2204 ) {
	BLK = 2;
} else
if ( n >= 2204 && n < 2480 ) {
	BLK = 16;
} else
if ( n >= 2480 && n < 2590 ) {
	BLK = 8;
} else
if ( n >= 2590 && n < 2729 ) {
	BLK = 2;
} else
if ( n >= 2729 && n < 2763 ) {
	BLK = 6;
} else
if ( n >= 2763 && n < 2949 ) {
	BLK = 16;
} else
if ( n >= 2949 && n < 3190 ) {
	BLK = 2;
} else
if ( n >= 3190 && n < 3333 ) {
	BLK = 16;
} else
if ( n >= 3333 && n < 3564 ) {
	BLK = 2;
} else
if ( n >= 3564 && n < 3663 ) {
	BLK = 16;
} else
if ( n >= 3663 && n < 4080 ) {
	BLK = 2;
} else
if ( n >= 4080 && n < 4278 ) {
	BLK = 16;
} else
if ( n >= 4278 && n < 4677 ) {
	BLK = 2;
} else
if ( n >= 4677 && n < 5041 ) {
	BLK = 1;
} else
if ( n >= 5041 && n < 5197 ) {
	BLK = 2;
} else
if ( n >= 5197 && n < 5410 ) {
	BLK = 1;
} else
if ( n >= 5410 && n < 5674 ) {
	BLK = 2;
} else
if ( n >= 5674 && n < 6190 ) {
	BLK = 1;
} else
if ( n >= 6190 && n < 6314 ) {
	BLK = 2;
} else
if ( n >= 6314 && n < 7190 ) {
	BLK = 13;
} else
if ( n >= 7190 && n < 7533 ) {
	BLK = 1;
} else
if ( n >= 7533 && n < 7632 ) {
	BLK = 2;
} else
if ( n >= 7632 && n < 7737 ) {
	BLK = 16;
} else
if ( n >= 7737 && n < 8915 ) {
	BLK = 1;
} else
if ( n >= 8915 && n < 9174 ) {
	BLK = 13;
} else
if ( n >= 9174 && n < 9534 ) {
	BLK = 1;
} else
if ( n >= 9534 && n < 9866 ) {
	BLK = 13;
} else
if ( n >= 9866 && n < 10106 ) {
	BLK = 1;
} else
if ( n >= 10106 && n < 10544 ) {
	BLK = 13;
} else
if ( n >= 10544 && n < 11378 ) {
	BLK = 1;
} else
if ( n >= 11378 && n < 11412 ) {
	BLK = 2;
} else
if ( n >= 11412 && n < 12654 ) {
	BLK = 1;
} else
if ( n >= 12654 && n < 12910 ) {
	BLK = 13;
} else
if ( n >= 12910 && n < 14649 ) {
	BLK = 1;
} else
if ( n >= 14649 && n < 14897 ) {
	BLK = 13;
} else
if ( n >= 14897 && n < 23483 ) {
	BLK = 1;
} else
if ( n >= 23483 && n < 24316 ) {
	BLK = 2;
} else
if ( n >= 24316 && n < 25437 ) {
	BLK = 13;
} else
if ( n >= 25437 && n < 28090 ) {
	BLK = 1;
} else
if ( n >= 28090 && n < 30514 ) {
	BLK = 13;
} else
if ( n >= 30514 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
