#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Mon Dec 11 18:25:01 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_14	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 93 ) {
	BLK = 8;
} else
if ( n >= 93 && n < 123 ) {
	BLK = 7;
} else
if ( n >= 123 && n < 174 ) {
	BLK = 6;
} else
if ( n >= 174 && n < 178 ) {
	BLK = 7;
} else
if ( n >= 178 && n < 242 ) {
	BLK = 8;
} else
if ( n >= 242 && n < 335 ) {
	BLK = 7;
} else
if ( n >= 335 && n < 390 ) {
	BLK = 10;
} else
if ( n >= 390 && n < 421 ) {
	BLK = 6;
} else
if ( n >= 421 && n < 516 ) {
	BLK = 7;
} else
if ( n >= 516 && n < 578 ) {
	BLK = 8;
} else
if ( n >= 578 && n < 868 ) {
	BLK = 7;
} else
if ( n >= 868 && n < 881 ) {
	BLK = 10;
} else
if ( n >= 881 && n < 940 ) {
	BLK = 8;
} else
if ( n >= 940 && n < 1173 ) {
	BLK = 7;
} else
if ( n >= 1173 && n < 1266 ) {
	BLK = 8;
} else
if ( n >= 1266 && n < 1494 ) {
	BLK = 7;
} else
if ( n >= 1494 && n < 1502 ) {
	BLK = 3;
} else
if ( n >= 1502 && n < 2099 ) {
	BLK = 6;
} else
if ( n >= 2099 && n < 2169 ) {
	BLK = 16;
} else
if ( n >= 2169 && n < 2236 ) {
	BLK = 14;
} else
if ( n >= 2236 && n < 2245 ) {
	BLK = 15;
} else
if ( n >= 2245 && n < 2376 ) {
	BLK = 16;
} else
if ( n >= 2376 && n < 2946 ) {
	BLK = 2;
} else
if ( n >= 2946 && n < 3165 ) {
	BLK = 6;
} else
if ( n >= 3165 && n < 3519 ) {
	BLK = 16;
} else
if ( n >= 3519 && n < 3710 ) {
	BLK = 6;
} else
if ( n >= 3710 && n < 4733 ) {
	BLK = 2;
} else
if ( n >= 4733 && n < 5205 ) {
	BLK = 16;
} else
if ( n >= 5205 && n < 5580 ) {
	BLK = 2;
} else
if ( n >= 5580 && n < 5671 ) {
	BLK = 6;
} else
if ( n >= 5671 && n < 6441 ) {
	BLK = 16;
} else
if ( n >= 6441 && n < 6876 ) {
	BLK = 2;
} else
if ( n >= 6876 && n < 7138 ) {
	BLK = 16;
} else
if ( n >= 7138 && n < 7895 ) {
	BLK = 2;
} else
if ( n >= 7895 && n < 7968 ) {
	BLK = 16;
} else
if ( n >= 7968 && n < 8326 ) {
	BLK = 2;
} else
if ( n >= 8326 && n < 8581 ) {
	BLK = 16;
} else
if ( n >= 8581 && n < 9581 ) {
	BLK = 2;
} else
if ( n >= 9581 && n < 9803 ) {
	BLK = 16;
} else
if ( n >= 9803 && n < 10840 ) {
	BLK = 2;
} else
if ( n >= 10840 && n < 11197 ) {
	BLK = 16;
} else
if ( n >= 11197 && n < 12319 ) {
	BLK = 2;
} else
if ( n >= 12319 && n < 12679 ) {
	BLK = 16;
} else
if ( n >= 12679 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
