#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-U
Sat Dec  9 10:28:59 JST 2017
Host on gwacsg11
Device is Tesla-K20Xm
****************************************/-->
// device name
DEVICE= Tesla-K20Xm
// the number of multi-processors
MP= 14
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 5975680512
// for double or cuFloatComplex
MAXDIM= 25964
// for float
MAXDIM2= 36718
// for cuDoubleComplex or DD
MAXDIM3= 18359
// for DD-Complex
MAXDIM4= 12982
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "dsymv-upper-auto2.h"
}
//==========
#if 0
struct dsymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, GY, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 2, 4, 48, 5, 70 },
	{ 32, 2, 4, 48, 5, 60 },
	{ 32, 2, 4, 36, 6, 60 },
	{ 64, 2, 5, 50, 2, 20 },
	{ 32, 3, 4, 48, 5, 70 },
	{ 64, 4, 5, 50, 2, 20 },
	{ 64, 2, 5, 50, 2, 0 },
	{ 32, 4, 4, 40, 5, 40 },
	{ 32, 2, 5, 60, 4, 70 },
	{ 32, 4, 4, 36, 6, 70 },
	{ 32, 1, 6, 54, 4, 60 },
	{ 64, 4, 5, 50, 2, 0 },
	{ 64, 2, 4, 36, 3, 70 },
	{ 32, 1, 4, 36, 6, 70 },
	{ 32, 2, 5, 60, 4, 60 },
	{ 32, 3, 4, 40, 5, 40 },
	{ 32, 2, 4, 48, 5, 50 },
	{ 32, 2, 6, 54, 4, 60 },
	{ 32, 4, 4, 36, 6, 60 },
	{ 32, 1, 4, 36, 6, 60 },
	{ 0, 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 48, 5, 70 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 48, 5, 60 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 36, 6, 60 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, 2, 5, 50, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 48, 5, 70 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, 4, 5, 50, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, 2, 5, 50, 2, 0 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 40, 5, 40 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 5, 60, 4, 70 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 36, 6, 70 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 1, 6, 54, 4, 60 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, 4, 5, 50, 2, 0 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, 2, 4, 36, 3, 70 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 1, 4, 36, 6, 70 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 5, 60, 4, 60 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 40, 5, 40 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 48, 5, 50 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 6, 54, 4, 60 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 36, 6, 60 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 1, 4, 36, 6, 60 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
