#if 0
<--/****************************************
Automatic Performance Tuning for UHEMV-U
Mon Dec 18 22:48:55 JST 2017
Host on a045
Device is Tesla-P100-SXM2-16GB
****************************************/-->
// device name
DEVICE= Tesla-P100-SXM2-16GB
// the number of multi-processors
MP= 56
// compute-compatibility generation
CG= 600
// capacity of the global memory
MAXmem= 17066514688
// for double or cuFloatComplex
MAXDIM= 43878
// for float
MAXDIM2= 62053
// for cuDoubleComplex or DD
MAXDIM3= 31026
// for DD-Complex
MAXDIM4= 21939
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 600
-->
#endif
{
//==========
if(blk==-1){
	#include "uhemv-upper-auto2.h"
}
//==========
#if 0
struct uhemv_auto_tuning_param_t { 
	int	BLOCK_SIZE, GY, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 3, 4, 64, 2, 30 },
	{ 32, 2, 4, 64, 2, 30 },
	{ 32, 6, 4, 64, 2, 30 },
	{ 32, 7, 4, 64, 2, 30 },
	{ 32, 4, 4, 64, 2, 20 },
	{ 32, 8, 4, 64, 2, 30 },
	{ 32, 7, 4, 64, 2, 20 },
	{ 32, 6, 4, 56, 2, 30 },
	{ 32, 3, 4, 60, 2, 30 },
	{ 32, 5, 4, 60, 2, 30 },
	{ 32, 4, 4, 60, 2, 20 },
	{ 32, 8, 4, 52, 2, 20 },
	{ 32, 8, 3, 39, 2, 20 },
	{ 32, 5, 3, 39, 2, 20 },
	{ 64, 3, 2, 32, 2, 30 },
	{ 32, 6, 3, 39, 2, 20 },
	{ 32, 4, 4, 60, 2, 30 },
	{ 32, 5, 4, 64, 2, 30 },
	{ 32, 4, 4, 64, 2, 30 },
	{ 64, 5, 2, 32, 2, 30 },
	{ 0, 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 64, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 64, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 6, 4, 64, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 7, 4, 64, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 64, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 8, 4, 64, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 7, 4, 64, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 6, 4, 56, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 60, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 5, 4, 60, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 60, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 8, 4, 52, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 8, 3, 39, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 5, 3, 39, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, 3, 2, 32, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 6, 3, 39, 2, 20 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 60, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 5, 4, 64, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 64, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, 5, 2, 32, 2, 30 >
		( n, a, lda, x, incx, y, incy, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
