set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "DSYMVL on a <GeForce GTX750Ti>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_750_DSYMVL.eps"
plot   "log-ASPEN.K2-1.6-DSYMVL-GTX750Ti-367.57" u 2:($5<2*33.4516?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVL-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVL-GTX750Ti-367.57" u 2:($5<2*33.4516?$5:-1000) t "log-CUDA-8.0-DSYMVL-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVLnoAtomic-GTX750Ti-367.57" u 2:($5<2*33.4516?$5:-1000) t "log-CUDA-8.0-DSYMVLnoAtomic-GTX750Ti-367.57" 
clear
set term png
set output "plot_data_750_DSYMVL.png"
plot   "log-ASPEN.K2-1.6-DSYMVL-GTX750Ti-367.57" u 2:($5<2*33.4516?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVL-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVL-GTX750Ti-367.57" u 2:($5<2*33.4516?$5:-1000) t "log-CUDA-8.0-DSYMVL-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVLnoAtomic-GTX750Ti-367.57" u 2:($5<2*33.4516?$5:-1000) t "log-CUDA-8.0-DSYMVLnoAtomic-GTX750Ti-367.57" 
clear
exit
