set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "SSYMVL on a <Tesla K20Xm>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_K20Xm_SSYMVL.eps"
plot   "log-ASPEN.K2-1.6-SSYMVL-K20Xm-367.48" u 2:($5<2*152.165?$5:-1000) t "log-ASPEN.K2-1.6-SSYMVL-K20Xm-367.48" , "log-CUDA-8.0-SSYMVL-K20Xm-367.48" u 2:($5<2*152.165?$5:-1000) t "log-CUDA-8.0-SSYMVL-K20Xm-367.48" , "log-CUDA-8.0-SSYMVLnoAtomic-K20Xm-367.48" u 2:($5<2*152.165?$5:-1000) t "log-CUDA-8.0-SSYMVLnoAtomic-K20Xm-367.48" 
clear
set term png
set output "plot_data_K20Xm_SSYMVL.png"
plot   "log-ASPEN.K2-1.6-SSYMVL-K20Xm-367.48" u 2:($5<2*152.165?$5:-1000) t "log-ASPEN.K2-1.6-SSYMVL-K20Xm-367.48" , "log-CUDA-8.0-SSYMVL-K20Xm-367.48" u 2:($5<2*152.165?$5:-1000) t "log-CUDA-8.0-SSYMVL-K20Xm-367.48" , "log-CUDA-8.0-SSYMVLnoAtomic-K20Xm-367.48" u 2:($5<2*152.165?$5:-1000) t "log-CUDA-8.0-SSYMVLnoAtomic-K20Xm-367.48" 
clear
exit
