set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "ZHEMVU on a <Tesla K20Xm>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_K20Xm_ZHEMVU.eps"
plot   "log-ASPEN.K2-1.6-ZHEMVU-K20Xm-367.48" u 2:($5<2*154.474?$5:-1000) t "log-ASPEN.K2-1.6-ZHEMVU-K20Xm-367.48" , "log-CUDA-8.0-ZHEMVU-K20Xm-367.48" u 2:($5<2*154.474?$5:-1000) t "log-CUDA-8.0-ZHEMVU-K20Xm-367.48" , "log-CUDA-8.0-ZHEMVUnoAtomic-K20Xm-367.48" u 2:($5<2*154.474?$5:-1000) t "log-CUDA-8.0-ZHEMVUnoAtomic-K20Xm-367.48" 
clear
set term png
set output "plot_data_K20Xm_ZHEMVU.png"
plot   "log-ASPEN.K2-1.6-ZHEMVU-K20Xm-367.48" u 2:($5<2*154.474?$5:-1000) t "log-ASPEN.K2-1.6-ZHEMVU-K20Xm-367.48" , "log-CUDA-8.0-ZHEMVU-K20Xm-367.48" u 2:($5<2*154.474?$5:-1000) t "log-CUDA-8.0-ZHEMVU-K20Xm-367.48" , "log-CUDA-8.0-ZHEMVUnoAtomic-K20Xm-367.48" u 2:($5<2*154.474?$5:-1000) t "log-CUDA-8.0-ZHEMVUnoAtomic-K20Xm-367.48" 
clear
exit
