set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "SSYMVU on a <Tesla K20c>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_K20c_SSYMVU.eps"
plot   "log-ASPEN.K2-1.6p1-SSYMVU-K20c-384.59" u 2:($5<2*132.328?$5:-1000) t "log-ASPEN.K2-1.6p1-SSYMVU-K20c-384.59" , "log-CUDA-9.0RC-SSYMVU-K20c-384.59" u 2:($5<2*132.328?$5:-1000) t "log-CUDA-9.0RC-SSYMVU-K20c-384.59" , "log-CUDA-9.0RC-SSYMVUnoAtomic-K20c-384.59" u 2:($5<2*132.328?$5:-1000) t "log-CUDA-9.0RC-SSYMVUnoAtomic-K20c-384.59" 
clear
set term png
set output "plot_data_K20c_SSYMVU.png"
plot   "log-ASPEN.K2-1.6p1-SSYMVU-K20c-384.59" u 2:($5<2*132.328?$5:-1000) t "log-ASPEN.K2-1.6p1-SSYMVU-K20c-384.59" , "log-CUDA-9.0RC-SSYMVU-K20c-384.59" u 2:($5<2*132.328?$5:-1000) t "log-CUDA-9.0RC-SSYMVU-K20c-384.59" , "log-CUDA-9.0RC-SSYMVUnoAtomic-K20c-384.59" u 2:($5<2*132.328?$5:-1000) t "log-CUDA-9.0RC-SSYMVUnoAtomic-K20c-384.59" 
clear
exit
