set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "CHEMVU on a <GeForce GTX1080>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_1080_CHEMVU.eps"
plot   "log-ASPEN.K2-1.6p2-CHEMVU-GTX1080-384.98" u 2:($5<2*491.133?$5:-1000) t "log-ASPEN.K2-1.6p2-CHEMVU-GTX1080-384.98" , "log-CUDA-9.0-CHEMVU-GTX1080-384.98" u 2:($5<2*491.133?$5:-1000) t "log-CUDA-9.0-CHEMVU-GTX1080-384.98" , "log-CUDA-9.0-CHEMVUnoAtomic-GTX1080-384.98" u 2:($5<2*491.133?$5:-1000) t "log-CUDA-9.0-CHEMVUnoAtomic-GTX1080-384.98" 
clear
set term png
set output "plot_data_1080_CHEMVU.png"
plot   "log-ASPEN.K2-1.6p2-CHEMVU-GTX1080-384.98" u 2:($5<2*491.133?$5:-1000) t "log-ASPEN.K2-1.6p2-CHEMVU-GTX1080-384.98" , "log-CUDA-9.0-CHEMVU-GTX1080-384.98" u 2:($5<2*491.133?$5:-1000) t "log-CUDA-9.0-CHEMVU-GTX1080-384.98" , "log-CUDA-9.0-CHEMVUnoAtomic-GTX1080-384.98" u 2:($5<2*491.133?$5:-1000) t "log-CUDA-9.0-CHEMVUnoAtomic-GTX1080-384.98" 
clear
exit
