set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "CHEMVU on a <GeForce GTX980>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_980_CHEMVU.eps"
plot   "log-ASPEN.K2-1.6p2-CHEMVU-GTX980-384.81" u 2:($5<2*344.604?$5:-1000) t "log-ASPEN.K2-1.6p2-CHEMVU-GTX980-384.81" , "log-CUDA-9.0-CHEMVU-GTX980-384.81" u 2:($5<2*344.604?$5:-1000) t "log-CUDA-9.0-CHEMVU-GTX980-384.81" , "log-CUDA-9.0-CHEMVUnoAtomic-GTX980-384.81" u 2:($5<2*344.604?$5:-1000) t "log-CUDA-9.0-CHEMVUnoAtomic-GTX980-384.81" 
clear
set term png
set output "plot_data_980_CHEMVU.png"
plot   "log-ASPEN.K2-1.6p2-CHEMVU-GTX980-384.81" u 2:($5<2*344.604?$5:-1000) t "log-ASPEN.K2-1.6p2-CHEMVU-GTX980-384.81" , "log-CUDA-9.0-CHEMVU-GTX980-384.81" u 2:($5<2*344.604?$5:-1000) t "log-CUDA-9.0-CHEMVU-GTX980-384.81" , "log-CUDA-9.0-CHEMVUnoAtomic-GTX980-384.81" u 2:($5<2*344.604?$5:-1000) t "log-CUDA-9.0-CHEMVUnoAtomic-GTX980-384.81" 
clear
exit
