set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "DSYMVL on a <GeForce GTX1080>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_1080_DSYMVL.eps"
plot   "log-ASPEN.K2-1.6p2-DSYMVL-GTX1080-384.98" u 2:($5<2*121.16?$5:-1000) t "log-ASPEN.K2-1.6p2-DSYMVL-GTX1080-384.98" , "log-CUDA-9.0-DSYMVL-GTX1080-384.98" u 2:($5<2*121.16?$5:-1000) t "log-CUDA-9.0-DSYMVL-GTX1080-384.98" , "log-CUDA-9.0-DSYMVLnoAtomic-GTX1080-384.98" u 2:($5<2*121.16?$5:-1000) t "log-CUDA-9.0-DSYMVLnoAtomic-GTX1080-384.98" 
clear
set term png
set output "plot_data_1080_DSYMVL.png"
plot   "log-ASPEN.K2-1.6p2-DSYMVL-GTX1080-384.98" u 2:($5<2*121.16?$5:-1000) t "log-ASPEN.K2-1.6p2-DSYMVL-GTX1080-384.98" , "log-CUDA-9.0-DSYMVL-GTX1080-384.98" u 2:($5<2*121.16?$5:-1000) t "log-CUDA-9.0-DSYMVL-GTX1080-384.98" , "log-CUDA-9.0-DSYMVLnoAtomic-GTX1080-384.98" u 2:($5<2*121.16?$5:-1000) t "log-CUDA-9.0-DSYMVLnoAtomic-GTX1080-384.98" 
clear
exit
