set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "DSYMVU on a <GeForce GTX750Ti>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_750_DSYMVU.eps"
plot   "log-ASPEN.K2-1.6p2-DSYMVU-GTX750Ti-384.98" u 2:($5<2*34.0622?$5:-1000) t "log-ASPEN.K2-1.6p2-DSYMVU-GTX750Ti-384.98" , "log-CUDA-9.0-DSYMVU-GTX750Ti-384.98" u 2:($5<2*34.0622?$5:-1000) t "log-CUDA-9.0-DSYMVU-GTX750Ti-384.98" , "log-CUDA-9.0-DSYMVUnoAtomic-GTX750Ti-384.98" u 2:($5<2*34.0622?$5:-1000) t "log-CUDA-9.0-DSYMVUnoAtomic-GTX750Ti-384.98" 
clear
set term png
set output "plot_data_750_DSYMVU.png"
plot   "log-ASPEN.K2-1.6p2-DSYMVU-GTX750Ti-384.98" u 2:($5<2*34.0622?$5:-1000) t "log-ASPEN.K2-1.6p2-DSYMVU-GTX750Ti-384.98" , "log-CUDA-9.0-DSYMVU-GTX750Ti-384.98" u 2:($5<2*34.0622?$5:-1000) t "log-CUDA-9.0-DSYMVU-GTX750Ti-384.98" , "log-CUDA-9.0-DSYMVUnoAtomic-GTX750Ti-384.98" u 2:($5<2*34.0622?$5:-1000) t "log-CUDA-9.0-DSYMVUnoAtomic-GTX750Ti-384.98" 
clear
exit
