set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "ZHEMVU on a <GeForce TitanBlack>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_TITAN_ZHEMVU.eps"
plot   "log-ASPEN.K2-1.6p2-ZHEMVU-GTXTITANBlack-384.81" u 2:($5<2*230.24?$5:-1000) t "log-ASPEN.K2-1.6p2-ZHEMVU-GTXTITANBlack-384.81" , "log-CUDA-9.0-ZHEMVU-GTXTITANBlack-384.81" u 2:($5<2*230.24?$5:-1000) t "log-CUDA-9.0-ZHEMVU-GTXTITANBlack-384.81" , "log-CUDA-9.0-ZHEMVUnoAtomic-GTXTITANBlack-384.81" u 2:($5<2*230.24?$5:-1000) t "log-CUDA-9.0-ZHEMVUnoAtomic-GTXTITANBlack-384.81" 
clear
set term png
set output "plot_data_TITAN_ZHEMVU.png"
plot   "log-ASPEN.K2-1.6p2-ZHEMVU-GTXTITANBlack-384.81" u 2:($5<2*230.24?$5:-1000) t "log-ASPEN.K2-1.6p2-ZHEMVU-GTXTITANBlack-384.81" , "log-CUDA-9.0-ZHEMVU-GTXTITANBlack-384.81" u 2:($5<2*230.24?$5:-1000) t "log-CUDA-9.0-ZHEMVU-GTXTITANBlack-384.81" , "log-CUDA-9.0-ZHEMVUnoAtomic-GTXTITANBlack-384.81" u 2:($5<2*230.24?$5:-1000) t "log-CUDA-9.0-ZHEMVUnoAtomic-GTXTITANBlack-384.81" 
clear
exit
