#if defined(__ASPEN_SUMUP_MODE__)
#undef	__ASPEN_SUMUP_MODE__
#endif


#if USE_SHFL_REDUCE

#  if __isHALF__
#    define	__ASPEN_SUMUP_MODE__	16
#  endif

#  if __isFLOAT__
#    define	__ASPEN_SUMUP_MODE__	16
#  endif

#  if __isDOUBLE__
#    define	__ASPEN_SUMUP_MODE__	16
#  endif

#  if __isDD__
#    define	__ASPEN_SUMUP_MODE__	4
#  endif

#  if __isFLOAT_COMPLEX__
#    define	__ASPEN_SUMUP_MODE__	16
#  endif

#  if __isDOUBLE_COMPLEX__
#    define	__ASPEN_SUMUP_MODE__	16
#  endif

#  if __isDD_COMPLEX__
#    define	__ASPEN_SUMUP_MODE__	2
#  endif

#else

#  define	__ASPEN_SUMUP_MODE__	0

#endif


#if __ASPEN_SUMUP_MODE__ == 2
//
// BASE : 1, 2, 3
//

#define sum1(a1, ...)				\
  reduce_in_block < TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], w+BX, z+a1 )

#define sum2(a1,a2, ...)			\
  reduce2_in_block< TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], S_Reg[a2], w+BX, z+a1 )

#define sum3(a1,a2,a3, ...)				\
  reduce3_in_block< TYPE, BLOCK_SIZE >                  \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], w+BX, z+a1 )

#endif

#if __ASPEN_SUMUP_MODE__ == 4
//
// BASE : 1, 2, 3, 4, 5
//

#define sum1(a1, ...)				\
  reduce_in_block < TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], w+BX, z+a1 )

#define sum2(a1,a2, ...)			\
  reduce2_in_block< TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], S_Reg[a2], w+BX, z+a1 )

#define sum3(a1,a2,a3, ...)				\
  reduce3_in_block< TYPE, BLOCK_SIZE >                  \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], w+BX, z+a1 )

#define sum4(a1,a2,a3,a4, ...)                                  \
  reduce4_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], w+BX, z+a1 )

#define sum5(a1,a2,a3,a4,a5, ...)                               \
  reduce5_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    w+BX, z+a1 )

#endif

#if __ASPEN_SUMUP_MODE__ == 6
//
// BASE : 1, 2, 3, 4, 5, 6, 7
//

#define sum1(a1, ...)				\
  reduce_in_block < TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], w+BX, z+a1 )

#define sum2(a1,a2, ...)			\
  reduce2_in_block< TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], S_Reg[a2], w+BX, z+a1 )

#define sum3(a1,a2,a3, ...)				\
  reduce3_in_block< TYPE, BLOCK_SIZE >                  \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], w+BX, z+a1 )

#define sum4(a1,a2,a3,a4, ...)                                  \
  reduce4_in_block< TYPE, BLOCK_SIZE >                          \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], w+BX, z+a1 )

#define sum5(a1,a2,a3,a4,a5, ...)                               \
  reduce5_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    w+BX, z+a1 )

#define sum6(a1,a2,a3,a4,a5,a6, ...)                            \
  reduce6_in_block< TYPE, BLOCK_SIZE >                          \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], w+BX, z+a1 )

#define sum7(a1,a2,a3,a4,a5,a6,a7, ...)                         \
  reduce7_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], w+BX, z+a1 )

#endif

#if __ASPEN_SUMUP_MODE__ == 8
//
// BASE : 1, 2, 3, 4, 5, 6, 7, 8, 9
//

#define sum1(a1, ...)				\
  reduce_in_block < TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], w+BX, z+a1 )

#define sum2(a1,a2, ...)			\
  reduce2_in_block< TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], S_Reg[a2], w+BX, z+a1 )

#define sum3(a1,a2,a3, ...)				\
  reduce3_in_block< TYPE, BLOCK_SIZE >                  \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], w+BX, z+a1 )

#define sum4(a1,a2,a3,a4, ...)                                  \
  reduce4_in_block< TYPE, BLOCK_SIZE >                          \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], w+BX, z+a1 )

#define sum5(a1,a2,a3,a4,a5, ...)                               \
  reduce5_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    w+BX, z+a1 )

#define sum6(a1,a2,a3,a4,a5,a6, ...)                            \
  reduce6_in_block< TYPE, BLOCK_SIZE >                          \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], w+BX, z+a1 )

#define sum7(a1,a2,a3,a4,a5,a6,a7, ...)                         \
  reduce7_in_block< TYPE, BLOCK_SIZE >                          \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], w+BX, z+a1 )

#define sum8(a1,a2,a3,a4,a5,a6,a7,a8, ...)                      \
  reduce8_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], S_Reg[a8], w+BX, z+a1 )

#define sum9(a1,a2,a3,a4,a5,a6,a7,a8,a9, ...)                   \
  reduce9_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], w+BX, z+a1 )

#endif

#if __ASPEN_SUMUP_MODE__ == 16
#define sum1(a1, ...)				\
  reduce_in_block < TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], w+BX, z+a1 )

#define sum2(a1,a2, ...)			\
  reduce2_in_block< TYPE, BLOCK_SIZE >          \
  ( S_Reg[a1], S_Reg[a2], w+BX, z+a1 )

#define sum3(a1,a2,a3, ...)				\
  reduce3_in_block< TYPE, BLOCK_SIZE >                  \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], w+BX, z+a1 )

#define sum4(a1,a2,a3,a4, ...)                                  \
  reduce4_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], w+BX, z+a1 )

#define sum5(a1,a2,a3,a4,a5, ...)                               \
  reduce5_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    w+BX, z+a1 )

#define sum6(a1,a2,a3,a4,a5,a6, ...)                            \
    reduce6_in_block< TYPE, BLOCK_SIZE >                        \
    ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
      S_Reg[a6], w+BX, z+a1 )

#define sum7(a1,a2,a3,a4,a5,a6,a7, ...)                         \
  reduce7_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], w+BX, z+a1 )

#define sum8(a1,a2,a3,a4,a5,a6,a7,a8, ...)                      \
  reduce8_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], S_Reg[a8], w+BX, z+a1 )

#define sum9(a1,a2,a3,a4,a5,a6,a7,a8,a9, ...)                   \
  reduce9_in_block< TYPE, BLOCK_SIZE >                          \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], w+BX, z+a1 )

#define sum10(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA, ...)               \
  reduce10_in_block< TYPE, BLOCK_SIZE >				\
    ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
      S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], S_Reg[aA],    \
      w+BX, z+a1 )

#define sum11(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA,aB, ...)            \
  reduce11_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], S_Reg[aA],      \
    S_Reg[aB], w+BX, z+a1 )

#define sum12(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA,aB,aC, ...)         \
  reduce12_in_block< TYPE, BLOCK_SIZE >				\
    ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
      S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], S_Reg[aA],    \
      S_Reg[aB], S_Reg[aC], w+BX, z+a1 )

#define sum13(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA,aB,aC,aD, ...)      \
  reduce13_in_block< TYPE, BLOCK_SIZE >				\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
    S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], S_Reg[aA],      \
    S_Reg[aB], S_Reg[aC], S_Reg[aD], w+BX, z+a1 )

#define sum14(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA,aB,aC,aD,aE, ...)   \
    reduce14_in_block< TYPE, BLOCK_SIZE >                       \
    ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],	\
      S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], S_Reg[aA],    \
      S_Reg[aB], S_Reg[aC], S_Reg[aD], S_Reg[aE], w+BX, z+a1 )

#define sum15(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA,aB,aC,aD,aE,aF, ...)        \
  reduce15_in_block< TYPE, BLOCK_SIZE >                                 \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],              \
    S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], S_Reg[aA],              \
    S_Reg[aB], S_Reg[aC], S_Reg[aD], S_Reg[aE], S_Reg[aF],              \
    w+BX, z+a1 )

#define sum16(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA,aB,aC,aD,aE,aF,aG, ...)     \
  reduce16_in_block< TYPE, BLOCK_SIZE >                                 \
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], S_Reg[a5],              \
    S_Reg[a6], S_Reg[a7], S_Reg[a8], S_Reg[a9], S_Reg[aA],              \
    S_Reg[aB], S_Reg[aC], S_Reg[aD], S_Reg[aE], S_Reg[aF],              \
    S_Reg[aG], w+BX, z+a1 )

#define sum17(a1,a2,a3,a4,a5,a6,a7,a8,a9,aA,aB,aC,aD,aE,aF,aG,aH, ...)  \
  ( sum8(a1,a2,a3,a4,a5,a6,a7,a8), sum9(a9,aA,aB,aC,aD,aE,aF,aG,aH) )

#endif

#if __ASPEN_SUMUP_MODE__ == 0
//
// BASE : 1, 2, 4, 8
//

#define sum1(a1, ...)				\
  sumup_s1s < TYPE, BLOCK_SIZE >		\
    ( S_Reg[a1], w+BX, z+a1 )

#define sum2(a1,a2, ...)			\
  sumup_s2s< TYPE, BLOCK_SIZE >                 \
  ( S_Reg[a1], S_Reg[a2], w+BX, z+a1 )

#define sum3(a1,a2,a3, ...)			\
  ( sum2(a1,a2), sum1(a3) )

#define sum4(a1,a2,a3,a4, ...)                                  \
  sumup_s4s< TYPE, BLOCK_SIZE >					\
    ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4], w+BX, z+a1 )

#define sum5(a1,a2,a3,a4,a5, ...)		\
  ( sum3(a1,a2,a3), sum2(a4,a5) )

#define sum6(a1,a2,a3,a4,a5,a6, ...)		\
  ( sum4(a1,a2,a3,a4), sum2(a5,a6) )

#define sum7(a1,a2,a3,a4,a5,a6,a7, ...)		\
  ( sum4(a1,a2,a3,a4), sum3(a5,a6,a7) )

#define sum8(a1,a2,a3,a4,a5,a6,a7,a8, ...)                      \
  sumup_s8s< TYPE, BLOCK_SIZE >					\
  ( S_Reg[a1], S_Reg[a2], S_Reg[a3], S_Reg[a4],                 \
    S_Reg[a5], S_Reg[a6], S_Reg[a7], S_Reg[a8], w+BX, z+a1 )

#define sum9(a1,a2,a3,a4,a5,a6,a7,a8,a9, ...)   \
    ( sum4(a1,a2,a3,a4), sum5(a5,a6,a7,a8,a9) )

#endif

