#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Mon Dec 18 13:42:05 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8507883776
// for double or cuFloatComplex
MAXDIM= 30980
// for float
MAXDIM2= 43813
// for cuDoubleComplex or DD
MAXDIM3= 21906
// for DD-Complex
MAXDIM4= 15490
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_3	1

if ( n >= 1 && n < 74 ) {
	BLK = 5;
} else
if ( n >= 74 && n < 87 ) {
	BLK = 3;
} else
if ( n >= 87 && n < 150 ) {
	BLK = 9;
} else
if ( n >= 150 && n < 295 ) {
	BLK = 3;
} else
if ( n >= 295 && n < 311 ) {
	BLK = 9;
} else
if ( n >= 311 && n < 385 ) {
	BLK = 6;
} else
if ( n >= 385 && n < 501 ) {
	BLK = 3;
} else
if ( n >= 501 && n < 589 ) {
	BLK = 1;
} else
if ( n >= 589 && n < 654 ) {
	BLK = 6;
} else
if ( n >= 654 && n < 747 ) {
	BLK = 3;
} else
if ( n >= 747 && n < 856 ) {
	BLK = 1;
} else
if ( n >= 856 && n < 879 ) {
	BLK = 6;
} else
if ( n >= 879 && n < 942 ) {
	BLK = 3;
} else
if ( n >= 942 && n < 1141 ) {
	BLK = 1;
} else
if ( n >= 1141 && n < 1180 ) {
	BLK = 6;
} else
if ( n >= 1180 && n < 1298 ) {
	BLK = 3;
} else
if ( n >= 1298 && n < 1407 ) {
	BLK = 6;
} else
if ( n >= 1407 && n < 1543 ) {
	BLK = 1;
} else
if ( n >= 1543 && n < 1578 ) {
	BLK = 6;
} else
if ( n >= 1578 && n < 1669 ) {
	BLK = 3;
} else
if ( n >= 1669 && n < 1749 ) {
	BLK = 9;
} else
if ( n >= 1749 && n < 1973 ) {
	BLK = 10;
} else
if ( n >= 1973 && n < 2158 ) {
	BLK = 3;
} else
if ( n >= 2158 && n < 2499 ) {
	BLK = 6;
} else
if ( n >= 2499 && n < 2722 ) {
	BLK = 3;
} else
if ( n >= 2722 && n < 3155 ) {
	BLK = 9;
} else
if ( n >= 3155 && n < 3440 ) {
	BLK = 3;
} else
if ( n >= 3440 && n < 3690 ) {
	BLK = 9;
} else
if ( n >= 3690 && n < 4033 ) {
	BLK = 3;
} else
if ( n >= 4033 && n < 4232 ) {
	BLK = 6;
} else
if ( n >= 4232 && n < 4262 ) {
	BLK = 3;
} else
if ( n >= 4262 && n < 4484 ) {
	BLK = 9;
} else
if ( n >= 4484 && n < 4696 ) {
	BLK = 3;
} else
if ( n >= 4696 && n < 4882 ) {
	BLK = 9;
} else
if ( n >= 4882 && n < 5019 ) {
	BLK = 3;
} else
if ( n >= 5019 && n < 5451 ) {
	BLK = 9;
} else
if ( n >= 5451 && n < 5690 ) {
	BLK = 3;
} else
if ( n >= 5690 && n < 6097 ) {
	BLK = 9;
} else
if ( n >= 6097 && n < 6236 ) {
	BLK = 3;
} else
if ( n >= 6236 && n < 7283 ) {
	BLK = 9;
} else
if ( n >= 7283 && n < 7406 ) {
	BLK = 3;
} else
if ( n >= 7406 && n < 9307 ) {
	BLK = 9;
} else
if ( n >= 9307 && n < 9504 ) {
	BLK = 3;
} else
if ( n >= 9504 && n < 9799 ) {
	BLK = 9;
} else
if ( n >= 9799 && n < 10112 ) {
	BLK = 3;
} else
if ( n >= 10112 && n < 12572 ) {
	BLK = 9;
} else
if ( n >= 12572 && n < 12630 ) {
	BLK = 3;
} else
if ( n >= 12630 && n < 20290 ) {
	BLK = 9;
} else
if ( n >= 20290 && n < 20601 ) {
	BLK = 3;
} else
if ( n >= 20601 && n < 1000000 ) {
	BLK = 9;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 9;
}
