#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Sat Dec 16 04:04:16 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8507883776
// for double or cuFloatComplex
MAXDIM= 30980
// for float
MAXDIM2= 43813
// for cuDoubleComplex or DD
MAXDIM3= 21906
// for DD-Complex
MAXDIM4= 15490
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_2	1

if ( n >= 1 && n < 71 ) {
	BLK = 6;
} else
if ( n >= 71 && n < 83 ) {
	BLK = 5;
} else
if ( n >= 83 && n < 140 ) {
	BLK = 9;
} else
if ( n >= 140 && n < 160 ) {
	BLK = 12;
} else
if ( n >= 160 && n < 161 ) {
	BLK = 2;
} else
if ( n >= 161 && n < 208 ) {
	BLK = 1;
} else
if ( n >= 208 && n < 237 ) {
	BLK = 8;
} else
if ( n >= 237 && n < 256 ) {
	BLK = 7;
} else
if ( n >= 256 && n < 289 ) {
	BLK = 12;
} else
if ( n >= 289 && n < 334 ) {
	BLK = 9;
} else
if ( n >= 334 && n < 376 ) {
	BLK = 1;
} else
if ( n >= 376 && n < 445 ) {
	BLK = 9;
} else
if ( n >= 445 && n < 447 ) {
	BLK = 8;
} else
if ( n >= 447 && n < 495 ) {
	BLK = 5;
} else
if ( n >= 495 && n < 603 ) {
	BLK = 9;
} else
if ( n >= 603 && n < 651 ) {
	BLK = 5;
} else
if ( n >= 651 && n < 694 ) {
	BLK = 12;
} else
if ( n >= 694 && n < 707 ) {
	BLK = 9;
} else
if ( n >= 707 && n < 781 ) {
	BLK = 1;
} else
if ( n >= 781 && n < 927 ) {
	BLK = 9;
} else
if ( n >= 927 && n < 1001 ) {
	BLK = 12;
} else
if ( n >= 1001 && n < 1264 ) {
	BLK = 1;
} else
if ( n >= 1264 && n < 1511 ) {
	BLK = 12;
} else
if ( n >= 1511 && n < 1670 ) {
	BLK = 1;
} else
if ( n >= 1670 && n < 1838 ) {
	BLK = 12;
} else
if ( n >= 1838 && n < 1927 ) {
	BLK = 5;
} else
if ( n >= 1927 && n < 2051 ) {
	BLK = 1;
} else
if ( n >= 2051 && n < 2229 ) {
	BLK = 8;
} else
if ( n >= 2229 && n < 2268 ) {
	BLK = 5;
} else
if ( n >= 2268 && n < 2424 ) {
	BLK = 9;
} else
if ( n >= 2424 && n < 2647 ) {
	BLK = 8;
} else
if ( n >= 2647 && n < 2682 ) {
	BLK = 9;
} else
if ( n >= 2682 && n < 2872 ) {
	BLK = 1;
} else
if ( n >= 2872 && n < 3092 ) {
	BLK = 8;
} else
if ( n >= 3092 && n < 4879 ) {
	BLK = 1;
} else
if ( n >= 4879 && n < 4939 ) {
	BLK = 7;
} else
if ( n >= 4939 && n < 5209 ) {
	BLK = 1;
} else
if ( n >= 5209 && n < 5339 ) {
	BLK = 5;
} else
if ( n >= 5339 && n < 6331 ) {
	BLK = 1;
} else
if ( n >= 6331 && n < 6586 ) {
	BLK = 8;
} else
if ( n >= 6586 && n < 7202 ) {
	BLK = 1;
} else
if ( n >= 7202 && n < 8528 ) {
	BLK = 7;
} else
if ( n >= 8528 && n < 8746 ) {
	BLK = 8;
} else
if ( n >= 8746 && n < 11638 ) {
	BLK = 7;
} else
if ( n >= 11638 && n < 12092 ) {
	BLK = 1;
} else
if ( n >= 12092 && n < 21226 ) {
	BLK = 7;
} else
if ( n >= 21226 && n < 22657 ) {
	BLK = 1;
} else
if ( n >= 22657 && n < 24780 ) {
	BLK = 7;
} else
if ( n >= 24780 && n < 25102 ) {
	BLK = 1;
} else
if ( n >= 25102 && n < 28063 ) {
	BLK = 7;
} else
if ( n >= 28063 && n < 28908 ) {
	BLK = 1;
} else
if ( n >= 28908 && n < 29620 ) {
	BLK = 8;
} else
if ( n >= 29620 && n < 30527 ) {
	BLK = 1;
} else
if ( n >= 30527 && n < 34180 ) {
	BLK = 7;
} else
if ( n >= 34180 && n < 39750 ) {
	BLK = 1;
} else
if ( n >= 39750 && n < 41515 ) {
	BLK = 7;
} else
if ( n >= 41515 && n < 43432 ) {
	BLK = 1;
} else
if ( n >= 43432 && n < 1000000 ) {
	BLK = 7;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 7;
}
