#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Fri Dec 15 08:55:36 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8507883776
// for double or cuFloatComplex
MAXDIM= 30980
// for float
MAXDIM2= 43813
// for cuDoubleComplex or DD
MAXDIM3= 21906
// for DD-Complex
MAXDIM4= 15490
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 36 ) {
	BLK = 3;
} else
if ( n >= 36 && n < 105 ) {
	BLK = 4;
} else
if ( n >= 105 && n < 120 ) {
	BLK = 2;
} else
if ( n >= 120 && n < 165 ) {
	BLK = 10;
} else
if ( n >= 165 && n < 211 ) {
	BLK = 4;
} else
if ( n >= 211 && n < 230 ) {
	BLK = 2;
} else
if ( n >= 230 && n < 267 ) {
	BLK = 10;
} else
if ( n >= 267 && n < 309 ) {
	BLK = 11;
} else
if ( n >= 309 && n < 481 ) {
	BLK = 4;
} else
if ( n >= 481 && n < 907 ) {
	BLK = 15;
} else
if ( n >= 907 && n < 929 ) {
	BLK = 9;
} else
if ( n >= 929 && n < 967 ) {
	BLK = 12;
} else
if ( n >= 967 && n < 989 ) {
	BLK = 15;
} else
if ( n >= 989 && n < 1143 ) {
	BLK = 11;
} else
if ( n >= 1143 && n < 1233 ) {
	BLK = 12;
} else
if ( n >= 1233 && n < 1314 ) {
	BLK = 10;
} else
if ( n >= 1314 && n < 1560 ) {
	BLK = 15;
} else
if ( n >= 1560 && n < 1684 ) {
	BLK = 11;
} else
if ( n >= 1684 && n < 1841 ) {
	BLK = 10;
} else
if ( n >= 1841 && n < 2023 ) {
	BLK = 11;
} else
if ( n >= 2023 && n < 2126 ) {
	BLK = 10;
} else
if ( n >= 2126 && n < 2626 ) {
	BLK = 11;
} else
if ( n >= 2626 && n < 2665 ) {
	BLK = 2;
} else
if ( n >= 2665 && n < 3557 ) {
	BLK = 11;
} else
if ( n >= 3557 && n < 3605 ) {
	BLK = 2;
} else
if ( n >= 3605 && n < 3671 ) {
	BLK = 4;
} else
if ( n >= 3671 && n < 4254 ) {
	BLK = 11;
} else
if ( n >= 4254 && n < 4440 ) {
	BLK = 2;
} else
if ( n >= 4440 && n < 4582 ) {
	BLK = 11;
} else
if ( n >= 4582 && n < 5020 ) {
	BLK = 2;
} else
if ( n >= 5020 && n < 5072 ) {
	BLK = 4;
} else
if ( n >= 5072 && n < 6416 ) {
	BLK = 2;
} else
if ( n >= 6416 && n < 6637 ) {
	BLK = 6;
} else
if ( n >= 6637 && n < 6818 ) {
	BLK = 1;
} else
if ( n >= 6818 && n < 6888 ) {
	BLK = 11;
} else
if ( n >= 6888 && n < 6935 ) {
	BLK = 2;
} else
if ( n >= 6935 && n < 7274 ) {
	BLK = 6;
} else
if ( n >= 7274 && n < 7604 ) {
	BLK = 2;
} else
if ( n >= 7604 && n < 8802 ) {
	BLK = 6;
} else
if ( n >= 8802 && n < 9068 ) {
	BLK = 2;
} else
if ( n >= 9068 && n < 9465 ) {
	BLK = 6;
} else
if ( n >= 9465 && n < 9974 ) {
	BLK = 2;
} else
if ( n >= 9974 && n < 11131 ) {
	BLK = 6;
} else
if ( n >= 11131 && n < 11509 ) {
	BLK = 2;
} else
if ( n >= 11509 && n < 12429 ) {
	BLK = 6;
} else
if ( n >= 12429 && n < 12634 ) {
	BLK = 2;
} else
if ( n >= 12634 && n < 13350 ) {
	BLK = 6;
} else
if ( n >= 13350 && n < 13786 ) {
	BLK = 2;
} else
if ( n >= 13786 && n < 18876 ) {
	BLK = 6;
} else
if ( n >= 18876 && n < 20029 ) {
	BLK = 2;
} else
if ( n >= 20029 && n < 20776 ) {
	BLK = 6;
} else
if ( n >= 20776 && n < 21959 ) {
	BLK = 2;
} else
if ( n >= 21959 && n < 23167 ) {
	BLK = 6;
} else
if ( n >= 23167 && n < 23699 ) {
	BLK = 2;
} else
if ( n >= 23699 && n < 24988 ) {
	BLK = 11;
} else
if ( n >= 24988 && n < 25008 ) {
	BLK = 2;
} else
if ( n >= 25008 && n < 28720 ) {
	BLK = 6;
} else
if ( n >= 28720 && n < 29662 ) {
	BLK = 11;
} else
if ( n >= 29662 && n < 1000000 ) {
	BLK = 6;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 6;
}
