#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Tue Dec 26 16:47:08 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4234096128
// for double or cuFloatComplex
MAXDIM= 21855
// for float
MAXDIM2= 30908
// for cuDoubleComplex or DD
MAXDIM3= 15454
// for DD-Complex
MAXDIM4= 10927
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 75 ) {
	BLK = 7;
} else
if ( n >= 75 && n < 112 ) {
	BLK = 1;
} else
if ( n >= 112 && n < 116 ) {
	BLK = 3;
} else
if ( n >= 116 && n < 250 ) {
	BLK = 4;
} else
if ( n >= 250 && n < 275 ) {
	BLK = 6;
} else
if ( n >= 275 && n < 330 ) {
	BLK = 2;
} else
if ( n >= 330 && n < 418 ) {
	BLK = 4;
} else
if ( n >= 418 && n < 438 ) {
	BLK = 5;
} else
if ( n >= 438 && n < 467 ) {
	BLK = 3;
} else
if ( n >= 467 && n < 506 ) {
	BLK = 6;
} else
if ( n >= 506 && n < 620 ) {
	BLK = 3;
} else
if ( n >= 620 && n < 662 ) {
	BLK = 6;
} else
if ( n >= 662 && n < 747 ) {
	BLK = 1;
} else
if ( n >= 747 && n < 811 ) {
	BLK = 6;
} else
if ( n >= 811 && n < 873 ) {
	BLK = 1;
} else
if ( n >= 873 && n < 968 ) {
	BLK = 3;
} else
if ( n >= 968 && n < 1136 ) {
	BLK = 1;
} else
if ( n >= 1136 && n < 1190 ) {
	BLK = 2;
} else
if ( n >= 1190 && n < 1280 ) {
	BLK = 3;
} else
if ( n >= 1280 && n < 1361 ) {
	BLK = 4;
} else
if ( n >= 1361 && n < 1517 ) {
	BLK = 5;
} else
if ( n >= 1517 && n < 1561 ) {
	BLK = 3;
} else
if ( n >= 1561 && n < 1731 ) {
	BLK = 1;
} else
if ( n >= 1731 && n < 1932 ) {
	BLK = 4;
} else
if ( n >= 1932 && n < 2042 ) {
	BLK = 3;
} else
if ( n >= 2042 && n < 2118 ) {
	BLK = 1;
} else
if ( n >= 2118 && n < 2476 ) {
	BLK = 4;
} else
if ( n >= 2476 && n < 2553 ) {
	BLK = 5;
} else
if ( n >= 2553 && n < 3064 ) {
	BLK = 4;
} else
if ( n >= 3064 && n < 3190 ) {
	BLK = 5;
} else
if ( n >= 3190 && n < 3467 ) {
	BLK = 4;
} else
if ( n >= 3467 && n < 4080 ) {
	BLK = 9;
} else
if ( n >= 4080 && n < 4984 ) {
	BLK = 4;
} else
if ( n >= 4984 && n < 5419 ) {
	BLK = 9;
} else
if ( n >= 5419 && n < 5903 ) {
	BLK = 4;
} else
if ( n >= 5903 && n < 6244 ) {
	BLK = 9;
} else
if ( n >= 6244 && n < 6387 ) {
	BLK = 4;
} else
if ( n >= 6387 && n < 6645 ) {
	BLK = 9;
} else
if ( n >= 6645 && n < 6923 ) {
	BLK = 4;
} else
if ( n >= 6923 && n < 8159 ) {
	BLK = 9;
} else
if ( n >= 8159 && n < 8298 ) {
	BLK = 4;
} else
if ( n >= 8298 && n < 8441 ) {
	BLK = 9;
} else
if ( n >= 8441 && n < 8659 ) {
	BLK = 4;
} else
if ( n >= 8659 && n < 10143 ) {
	BLK = 9;
} else
if ( n >= 10143 && n < 10468 ) {
	BLK = 4;
} else
if ( n >= 10468 && n < 11653 ) {
	BLK = 9;
} else
if ( n >= 11653 && n < 11965 ) {
	BLK = 4;
} else
if ( n >= 11965 && n < 1000000 ) {
	BLK = 9;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 9;
}
