#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Mon Dec 25 04:54:27 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4234096128
// for double or cuFloatComplex
MAXDIM= 21855
// for float
MAXDIM2= 30908
// for cuDoubleComplex or DD
MAXDIM3= 15454
// for DD-Complex
MAXDIM4= 10927
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_11	1
#define	KERNEL_14	1
#define	KERNEL_3	1

if ( n >= 1 && n < 124 ) {
	BLK = 11;
} else
if ( n >= 124 && n < 176 ) {
	BLK = 7;
} else
if ( n >= 176 && n < 371 ) {
	BLK = 11;
} else
if ( n >= 371 && n < 429 ) {
	BLK = 7;
} else
if ( n >= 429 && n < 521 ) {
	BLK = 11;
} else
if ( n >= 521 && n < 673 ) {
	BLK = 7;
} else
if ( n >= 673 && n < 764 ) {
	BLK = 11;
} else
if ( n >= 764 && n < 797 ) {
	BLK = 7;
} else
if ( n >= 797 && n < 1138 ) {
	BLK = 11;
} else
if ( n >= 1138 && n < 1510 ) {
	BLK = 7;
} else
if ( n >= 1510 && n < 1662 ) {
	BLK = 11;
} else
if ( n >= 1662 && n < 1776 ) {
	BLK = 7;
} else
if ( n >= 1776 && n < 1890 ) {
	BLK = 6;
} else
if ( n >= 1890 && n < 1942 ) {
	BLK = 14;
} else
if ( n >= 1942 && n < 1944 ) {
	BLK = 7;
} else
if ( n >= 1944 && n < 2182 ) {
	BLK = 11;
} else
if ( n >= 2182 && n < 2272 ) {
	BLK = 7;
} else
if ( n >= 2272 && n < 2307 ) {
	BLK = 6;
} else
if ( n >= 2307 && n < 2680 ) {
	BLK = 7;
} else
if ( n >= 2680 && n < 3277 ) {
	BLK = 6;
} else
if ( n >= 3277 && n < 3341 ) {
	BLK = 7;
} else
if ( n >= 3341 && n < 3595 ) {
	BLK = 6;
} else
if ( n >= 3595 && n < 3720 ) {
	BLK = 7;
} else
if ( n >= 3720 && n < 4992 ) {
	BLK = 6;
} else
if ( n >= 4992 && n < 5170 ) {
	BLK = 7;
} else
if ( n >= 5170 && n < 5467 ) {
	BLK = 6;
} else
if ( n >= 5467 && n < 6233 ) {
	BLK = 7;
} else
if ( n >= 6233 && n < 6706 ) {
	BLK = 6;
} else
if ( n >= 6706 && n < 7165 ) {
	BLK = 7;
} else
if ( n >= 7165 && n < 7439 ) {
	BLK = 6;
} else
if ( n >= 7439 && n < 8798 ) {
	BLK = 7;
} else
if ( n >= 8798 && n < 9057 ) {
	BLK = 3;
} else
if ( n >= 9057 && n < 9867 ) {
	BLK = 7;
} else
if ( n >= 9867 && n < 9966 ) {
	BLK = 3;
} else
if ( n >= 9966 && n < 10523 ) {
	BLK = 7;
} else
if ( n >= 10523 && n < 10530 ) {
	BLK = 6;
} else
if ( n >= 10530 && n < 10972 ) {
	BLK = 3;
} else
if ( n >= 10972 && n < 12791 ) {
	BLK = 7;
} else
if ( n >= 12791 && n < 13142 ) {
	BLK = 3;
} else
if ( n >= 13142 && n < 16154 ) {
	BLK = 7;
} else
if ( n >= 16154 && n < 16623 ) {
	BLK = 3;
} else
if ( n >= 16623 && n < 1000000 ) {
	BLK = 7;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 7;
}
