#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Sun Dec 10 08:16:29 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_6	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 118 ) {
	BLK = 6;
} else
if ( n >= 118 && n < 219 ) {
	BLK = 2;
} else
if ( n >= 219 && n < 325 ) {
	BLK = 6;
} else
if ( n >= 325 && n < 406 ) {
	BLK = 2;
} else
if ( n >= 406 && n < 630 ) {
	BLK = 6;
} else
if ( n >= 630 && n < 688 ) {
	BLK = 2;
} else
if ( n >= 688 && n < 1012 ) {
	BLK = 6;
} else
if ( n >= 1012 && n < 1270 ) {
	BLK = 9;
} else
if ( n >= 1270 && n < 1443 ) {
	BLK = 10;
} else
if ( n >= 1443 && n < 2446 ) {
	BLK = 9;
} else
if ( n >= 2446 && n < 2886 ) {
	BLK = 11;
} else
if ( n >= 2886 && n < 2897 ) {
	BLK = 16;
} else
if ( n >= 2897 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
