set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "DSYMVU on a <GeForce GTX750Ti>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_750_DSYMVU.eps"
plot   "log-ASPEN.K2-1.6-DSYMVU-GTX750Ti-367.57" u 2:($5<2*32.3993?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVU-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVU-GTX750Ti-367.57" u 2:($5<2*32.3993?$5:-1000) t "log-CUDA-8.0-DSYMVU-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVUnoAtomic-GTX750Ti-367.57" u 2:($5<2*32.3993?$5:-1000) t "log-CUDA-8.0-DSYMVUnoAtomic-GTX750Ti-367.57" 
clear
set term png
set output "plot_data_750_DSYMVU.png"
plot   "log-ASPEN.K2-1.6-DSYMVU-GTX750Ti-367.57" u 2:($5<2*32.3993?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVU-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVU-GTX750Ti-367.57" u 2:($5<2*32.3993?$5:-1000) t "log-CUDA-8.0-DSYMVU-GTX750Ti-367.57" , "log-CUDA-8.0-DSYMVUnoAtomic-GTX750Ti-367.57" u 2:($5<2*32.3993?$5:-1000) t "log-CUDA-8.0-DSYMVUnoAtomic-GTX750Ti-367.57" 
clear
exit
