set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "ZHEMVU on a <Tesla K20c>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_K20c_ZHEMVU.eps"
plot   "log-ASPEN.K2-1.6-ZHEMVU-K20c-367.57" u 2:($5<2*131.962?$5:-1000) t "log-ASPEN.K2-1.6-ZHEMVU-K20c-367.57" , "log-CUDA-8.0-ZHEMVU-K20c-367.57" u 2:($5<2*131.962?$5:-1000) t "log-CUDA-8.0-ZHEMVU-K20c-367.57" , "log-CUDA-8.0-ZHEMVUnoAtomic-K20c-367.57" u 2:($5<2*131.962?$5:-1000) t "log-CUDA-8.0-ZHEMVUnoAtomic-K20c-367.57" 
clear
set term png
set output "plot_data_K20c_ZHEMVU.png"
plot   "log-ASPEN.K2-1.6-ZHEMVU-K20c-367.57" u 2:($5<2*131.962?$5:-1000) t "log-ASPEN.K2-1.6-ZHEMVU-K20c-367.57" , "log-CUDA-8.0-ZHEMVU-K20c-367.57" u 2:($5<2*131.962?$5:-1000) t "log-CUDA-8.0-ZHEMVU-K20c-367.57" , "log-CUDA-8.0-ZHEMVUnoAtomic-K20c-367.57" u 2:($5<2*131.962?$5:-1000) t "log-CUDA-8.0-ZHEMVUnoAtomic-K20c-367.57" 
clear
exit
